<?php
/**
 * @package WordPress
 * @subpackage iARJ
 */

$content_width = 450;

automatic_feed_links();

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
	));
}

function get_id($title = '') {
	$page = get_page_by_title($title);
	return $page->ID;
}

function get_patriarch($child_id = 0) {
	$child = get_page($child_id);
	if ($child->post_parent) {
		return get_patriarch($child->post_parent);
	} else {
		return $child_id;
	}
}

function get_breadcrumbs($curID = 0) {
	$child = get_page($curID);
	if ($child->post_parent) {
		return get_breadcrumbs($child->post_parent).' > ' .$child->post_title;
	} else {
		return '<a href="'.get_bloginfo('wpurl').'">Urban Lending Solutions Appraisals</a>'.' > <a href="'.get_permalink($child->ID).'">'.$child->post_title.'</a>';
	}
}

add_action("login_head", "my_login_head");
function my_login_head() {
	echo "
	<style>
	body.login #login h1 a {
		background: url('".get_bloginfo('stylesheet_directory')."/images/wp_admin_logo.jpg') no-repeat scroll center top transparent;
		height: 150px;
		width: 300px;
	}
	body.login {
		background: #FCFAFB;
	}
	</style>
	";
}

add_action('admin_head', 'custom_logo');
function custom_logo() {
	echo "
  <style type='text/css'>
#header-logo { background: transparent; }
  </style>
  ";
}

add_filter('admin_user_info_links','howdy_msg');
function howdy_msg($links) {
		$greeting = 'Welcome';
		$links['5'] = str_replace('Howdy',$greeting, $links['5']);
		return $links;
}

add_filter( 'admin_footer_text', 'custom_admin_footer_text' );
function custom_admin_footer_text($default_text)  {
	echo '';
}

add_filter( 'update_footer', 'custom_update_footer', 9999 );
function custom_update_footer()  {
	return 'A Content Management Solution by <a href="http://www.internetimagineering.com" target="new">Internet Imagineering, LLC</a>';
}

function new_excerpt_more($more) {
       global $post;
	return '';
}
add_filter('excerpt_more', 'new_excerpt_more');
?>
